Bug 62493 - pam reports "account expired" when using NIS
Summary: pam reports "account expired" when using NIS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 62720 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-01 19:20 UTC by A.J. Aranyosi
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 19:20:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description A.J. Aranyosi 2002-04-01 19:20:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
With the machine set up to get passwd info from an NIS domain, attempts to log
in resulted in an "account expired" error from PAM.  This message appeared
despite the fact that the machine was set up without shadow password support,
and the NIS server doesn't provide shadow or account expiration info. 
Commenting out the "account required /lib/security/pam_deny.so" line from
/etc/pam.d/system-auth allows users to log in.  


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install the beta (with or without shadow support, it doesn't matter)
2.Connect to an NIS server
3.Try to log in



Actual Results:  Login refused, "User account has expired" shows up in
/var/log/secure.

Expected Results:  User should've been allowed to log in.


Additional info:

Comment 1 Bill Nottingham 2002-04-01 21:24:44 UTC
This is fixed in the current rawhide authconfig.

Comment 2 Rex Dieter 2002-04-05 15:53:55 UTC
*** Bug 62720 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.